Bug 243921 - CRM# 1502022 'Not been able to publish certificates and CRL in a file format'
CRM# 1502022 'Not been able to publish certificates and CRL in a file format'
Status: CLOSED ERRATA
Product: Red Hat Certificate System
Classification: Red Hat
Component: Publishing (Show other bugs)
7.1
All Linux
high Severity high
: 8.0
: ---
Assigned To: Ade Lee
Chandrasekar Kannan
: FutureFeature
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2007-06-12 15:25 EDT by Issue Tracker
Modified: 2015-01-04 18:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:25:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Issue Tracker 2007-06-12 15:25:26 EDT
Description of problem:

The customer is trying to configure the Publishing module to publish to the LDAP and to the filesystem. After completing the configuration,  he logged in to the Agent interface and used 'Update Directory Server' section to update everything, but no certificates is published in LDAP as well as in the file system. 

Redhat CS 7.1 on Solaris 9. 

Additional info:

Client: UC Lawrence Berkeley Lab
Oracle Account No: 703864

Escalated to SEG according to the replay from Marco for the nss-support-list mail regarding the issue.
This event sent from IssueTracker by ble  [SEG - Certificate System Engineering]
 issue 122822
Comment 2 Issue Tracker 2007-06-12 15:25:28 EDT
Ben,

Below is the details of what the customer is doing.

Here is the output, when i clicked "Update Directory Server" and select
update everything.  
The Certificate Revocation List has been published in the directory.  
The Certificate Manager certificate has been published in the directory. 

All valid certificates have already been published in the directory or
there is no valid certificate. Nothing to update at this time.  
Error unpublishing expired certificates in the directory. See log files
for more details.  
   Failed to unpublish certificate: 0x6.  
   Failed to unpublish certificate: 0x7.    
2 revoked certificates are unpublished in the directory.  

List Certificates interface returns '38' certificates are valid.

For publishing CRL and Certificates into file system.
- For CRL
- Configured Publisher 'CRLFiles' using the plugin 'FileBasedPublisher
- with directory 'web-apps/ee/ca/CRL
- Configured the rule with 'NoMap' mapper and Publisher 'CRLFiles'
- no value for predicate

- For Certificates
- Configured Publisher 'CertFiles' using the plugin
'FileBasedPublisher
- with directory 'web-apps/ee/ca/Certificates
- Configured the rule with 'NoMap' mapper and Publisher 'CertFiles'

The 'CertFiles' publisher worked when i issued a new certificate. But
When try to publish everything it didn't publish nothing in the
filesystem.
CRL Never get published in the file system.

Attached is the tarball of /opt/redhat-cs/cert-instance/logs directory.

Let me know if you need anything else.

--Sadique


This event sent from IssueTracker by ble  [SEG - Certificate System
Engineering]
 issue 122822
Comment 3 Issue Tracker 2007-06-12 15:25:30 EDT
I could re-create this issue (can't publishing the certificates (existing
certs) in a file) in the lab about a week ago. I was mention this issue to
Thomas already. Still working with Engineering to find out a solution.

Ben.


This event sent from IssueTracker by ble  [SEG - Certificate System
Engineering]
 issue 122822
Comment 6 Thomas Kwan 2007-07-09 13:48:29 EDT
Need to integrate customer's provided changes into the code base. Target fix 8.0
Comment 7 Red Hat Bugzilla 2007-10-27 11:32:17 EDT
User nkwan@redhat.com's account has been closed

Note You need to log in before you can comment on or make changes to this bug.